Subject: Re: [Last-Call] [COSE] Last Call: <draft-ietf-cose-webauthn-algorithms-05.txt> (COSE and JOSE Registrations for WebAuthn Algorithms) to Proposed Standard

From: Mike Jones <[email-masked]>
Date: Sat, 23 May 2020 23:48:41 +0000

I can certainly change the COSE recommendation status from Yes to No, if that’s the prevailing opinion.  Those that have decided to use secp256k1 over the NIST and 25519 curves will likely continue to do so no matter what we decide in this regard.

I’ll wait until the last call expires on Wednesday to see what other comments may come in and then publish an updated draft.

                                                       Thanks all,
                                                       -- Mike

From: COSE <[email-masked]> On Behalf Of Eric Rescorla
Sent: Saturday, May 23, 2020 2:36 PM
To: Salz, Rich <rsalz=[email-masked]>
Cc: [email-masked]; Jim Schaad <[email-masked]>; [email-masked]
Subject: Re: [COSE] [Last-Call] Last Call: <draft-ietf-cose-webauthn-algorithms-05.txt> (COSE and JOSE Registrations for WebAuthn Algorithms) to Proposed Standard

Good catch. We definitely should not be recommending sep256k1.

-Ekr

On Sat, May 23, 2020 at 1:30 PM Salz, Rich <rsalz=[email-masked]<mailto:[email-masked]>> wrote:
>    I believe that the IESG needs to debate if this document should be the one
    which makes the secp256k1 curve a recommended IETF curve to use.

A good point, albeit slightly subtle.  +1.

--
last-call mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/last-call